summaryrefslogtreecommitdiff
path: root/eclass/nginx.eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/nginx.eclass')
-rw-r--r--eclass/nginx.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/nginx.eclass b/eclass/nginx.eclass
index 9783f7c7fa25..d517c15ef727 100644
--- a/eclass/nginx.eclass
+++ b/eclass/nginx.eclass
@@ -687,7 +687,7 @@ nginx_src_configure() {
# module building.
if use modules; then
printf '%s\0' "${nginx_flags[@]}" "$@" "${EXTRA_ECONF[@]}" \
- >> "${_NGX_CONFIG_FLAGS_FILE}"
+ > "${_NGX_CONFIG_FLAGS_FILE}" || die "printf failed"
fi
sed -E -i \
@@ -888,10 +888,10 @@ nginx_src_install() {
# The directory where third-party modules should save their own headers.
keepdir /usr/include/nginx/modules
- # Allow pluging arbitrary libraries (linker flags, more accurately) via
- # the _NGINX_GENTOO_MOD_LIBS environment variable.
+ # Allow injecting linker flags before and libraries after NGINX's module
+ # libraries via environment variables.
sed -i -e '/"$ngx_module_link" = DYNAMIC/ a\' \
- -e 'ngx_module_libs="$ngx_module_libs ${_NGINX_GENTOO_MOD_LIBS}"' \
+ -e 'ngx_module_libs="${_NGINX_GENTOO_MOD_LDFLAGS} $ngx_module_libs ${_NGINX_GENTOO_MOD_LIBS}"' \
auto/module || die "sed failed"
# Copy the build system of NGINX to /usr/src/nginx.